APINetwork management

Create new allocation

Creates a new network allocation for the server if allocation limit allows

Creates a new network allocation for the server if allocation limit allows

POST
/api/client/servers/{server}/network/allocations

Authorization

bearerAuth
AuthorizationBearer <token>

Enter your API token in the format: Bearer {token}

In: header

Path Parameters

server*string

Server UUID

Formatuuid

Response Body

application/json

application/json

curl -X POST "https://example.com/api/client/servers/497f6eca-6276-4993-bfeb-53cbbbba6f08/network/allocations"
{
  "object": "allocation",
  "attributes": {
    "id": 0,
    "ip": "string",
    "ip_alias": "string",
    "port": 0,
    "notes": "string",
    "is_default": true
  }
}
{
  "errors": [
    {
      "code": "string",
      "status": "string",
      "detail": "string"
    }
  ]
}
Empty
Empty
Empty